%if %{fedora} >= 23
%global jetty_version 8.1.17.v20150415
%else
%global jetty_version 8.1.14.v20131031
%endif

Name:          jadler
Version:       1.1.2
Release:       1%{?dist}
Summary:       Java HTTP mocking library
License:       MIT
URL:           https://github.com/jadler-mocking/jadler/wiki
Source0:       https://github.com/jadler-mocking/jadler/archive/%{name}-pom-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-httpclient:commons-httpclient)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:1.2.17)
# org.eclipse.jetty:8.1.11.v20130520
BuildRequires: mvn(org.eclipse.jetty:jetty-server:%jetty_version)
BuildRequires: mvn(javax.servlet:javax.servlet-api)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.mockito:mockito-all)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-log4j12)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
# org.springframework:4.0.5.RELEASE
BuildRequires: mvn(org.springframework:spring-core)
BuildRequires: mvn(org.springframework:spring-test)

BuildArch:     noarch

%description
Java framework for create a stub HTTP server in your integration tests and
do some HTTP communication mocking.

%package all
Summary:       Jadler all sub-modules

%description all
This module contains all jadler sub-modules.
By including jadler-all to a project a complete Jadler
library will be included automatically.

%package jetty
Summary:       Jadler Jetty support

%description jetty
An implementation of the stub HTTP server component using Jetty.

%package junit
Summary:       Jadler - JUnit support

%description junit
Contains specific support for JUnit testing.

%package parent
Summary:       Jadler - HTTP mocking library - Parent POM

%description parent
Jadler - HTTP mocking library - Parent POM.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-pom-%{version}

%pom_remove_plugin :animal-sniffer-maven-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin

%pom_xpath_inject "pom:dependency[pom:artifactId ='log4j']" "<version>1.2.17</version>" %{name}-core
%pom_xpath_inject "pom:dependency[pom:artifactId ='log4j']" "<version>1.2.17</version>" %{name}-all

%pom_xpath_set "pom:dependency[pom:artifactId ='jetty-server']/pom:version" %jetty_version
%pom_xpath_inject "pom:dependency[pom:artifactId ='jetty-server']" "<version>%jetty_version</version>" %{name}-jetty
%pom_change_dep -r org.eclipse.jetty.orbit:javax.servlet javax.servlet:javax.servlet-api:3.1.0

%pom_xpath_inject "pom:dependency[pom:artifactId='jetty-server']" " 
<exclusions>
    <exclusion>
        <groupId>org.eclipse.jetty.orbit</groupId>
        <artifactId>javax.servlet</artifactId>
    </exclusion>
</exclusions>" %{name}-jetty

# Use springframework >= 4.0.5.RELEASE
rm -r jadler-junit/src/test/java/net/jadler/junit/rule/JadlerFixedPortRuleTest.java \
 jadler-all/src/test/java/net/jadler/JadlerFacadeIntegrationTest.java

# AssertionError: Expected: is "text/plain; charset=utf-8" but: was "text/plain;charset=UTF-8"
rm -r jadler-all/src/test/java/net/jadler/JadlerStubbingIntegrationTest.java
 
%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}-core
%doc RELEASENOTES.md
%license LICENSE

%files all -f .mfiles-%{name}-all
%license LICENSE

%files jetty -f .mfiles-%{name}-jetty
%license LICENSE

%files junit -f .mfiles-%{name}-junit
%license LICENSE

%files parent -f .mfiles-%{name}-pom
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Sat Oct 17 2015 gil cattaneo <puntogil@libero.it> 1.1.2-1
- update to 1.1.2

* Mon Apr 27 2015 gil cattaneo <puntogil@libero.it> 1.1.1-1
- initial rpm
